public static interface RabbitMQEndpointBuilderFactory.RabbitMQBuilders
| Modifier and Type | Method and Description |
|---|---|
default RabbitMQEndpointBuilderFactory.RabbitMQEndpointBuilder |
rabbitmq(String path)
RabbitMQ (camel-rabbitmq)
Send and receive messages from RabbitMQ instances.
|
default RabbitMQEndpointBuilderFactory.RabbitMQEndpointBuilder |
rabbitmq(String componentName,
String path)
RabbitMQ (camel-rabbitmq)
Send and receive messages from RabbitMQ instances.
|
default RabbitMQEndpointBuilderFactory.RabbitMQEndpointBuilder rabbitmq(String path)
rabbitmq:exchangeName
Path parameter: exchangeName (required)
The exchange name determines the exchange to which the produced
messages will be sent to. In the case of consumers, the exchange name
determines the exchange the queue will be bound to.path - exchangeNamedefault RabbitMQEndpointBuilderFactory.RabbitMQEndpointBuilder rabbitmq(String componentName, String path)
rabbitmq:exchangeName
Path parameter: exchangeName (required)
The exchange name determines the exchange to which the produced
messages will be sent to. In the case of consumers, the exchange name
determines the exchange the queue will be bound to.componentName - to use a custom component name for the endpoint
instead of the default namepath - exchangeNameApache Camel